#!/bin/bash
#/////////////////////////////////////////////////////////////////////////
#//
#// (c) University of Southampton IT Innovation Centre, 2017
#//
#// Copyright in this software belongs to University of Southampton
#// IT Innovation Centre of Gamma House, Enterprise Road,
#// Chilworth Science Park, Southampton, SO16 7NS, UK.
#//
#// This software may not be used, sold, licensed, transferred, copied
#// or reproduced in whole or in part in any manner or form or in or
#// on any media by any person other than in accordance with the terms
#// of the Licence Agreement supplied with the software, or otherwise
#// without the prior written consent of the copyright owners.
#//
#// This software is distributed WITHOUT ANY WARRANTY, without even the
#// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#// PURPOSE, except where stated in the Licence Agreement supplied with
#// the software.
#//
#//      Created By :            Michael Boniface
#//      Created Date :          15/02/2017
#//      Created for Project :   FLAME
#//
#/////////////////////////////////////////////////////////////////////////

# create test directories
testfolder=$(date +%Y%m%d%H%M%S)
testrundir="/vagrant/test/run"
testdir=$testrundir"/streaming/"$testfolder
echo "Test directory: "$testdir
mkdir -p  "$testdir"

# run testplan
cd $testdir

jmeter -n -LDEBUG -t /vagrant/test/streaming/testplan.jmx -l results.jtx -j jmeter.log

# quick bash equivalent in case Jmeter fails
#COUNTER=0
#while [  $COUNTER -lt 1 ]; do
#  cvlc -Vdummy --no-audio http://192.168.50.11/test_video/stream.mpd &
#  sleep 1
#  let COUNTER=COUNTER+1 
#done



